zenilib: zenilib/jni/external/sdl/SDL/SDL_touch.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
SDL_touch.h File Reference
`#include "SDL_stdinc.h"`
`#include "SDL_error.h"`
`#include "SDL_video.h"`
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Classes

struct | SDL_Finger

## Macros

#define | SDL_TOUCH_MOUSEID ((Uint32)-1)

## Typedefs

typedef struct SDL_Finger | SDL_Finger
typedef Sint64 | SDL_FingerID
typedef Sint64 | SDL_TouchID

## Functions

DECLSPEC int SDLCALL | SDL_GetNumTouchDevices (void)
| Get the number of registered touch devices. More...
DECLSPEC int SDLCALL | SDL_GetNumTouchFingers (SDL_TouchID touchID)
| Get the number of active fingers for a given touch device. More...
DECLSPEC SDL_TouchID SDLCALL | SDL_GetTouchDevice (int index)
| Get the touch ID with the given index, or 0 if the index is invalid. More...
DECLSPEC SDL_Finger *SDLCALL | SDL_GetTouchFinger (SDL_TouchID touchID, int index)
| Get the finger object of the given touch, with the given index. More...

## Detailed Description

Include file for SDL touch event handling.

Definition in file SDL_touch.h.

## Macro Definition Documentation

#define SDL_TOUCH_MOUSEID ((Uint32)-1)

Definition at line 53 of file SDL_touch.h.

## Typedef Documentation

typedef struct SDL_Finger SDL_Finger

typedef Sint64 SDL_FingerID

Definition at line 42 of file SDL_touch.h.

typedef Sint64 SDL_TouchID

Definition at line 41 of file SDL_touch.h.

## Function Documentation

DECLSPEC int SDLCALL SDL_GetNumTouchDevices | ( | void |  | ) |

Get the number of registered touch devices.

Definition at line 42 of file SDL_touch.c.

References SDL_num_touch.

DECLSPEC int SDLCALL SDL_GetNumTouchFingers | ( | SDL_TouchID | touchID | ) |

Get the number of active fingers for a given touch device.

Definition at line 106 of file SDL_touch.c.

References SDL_Touch::num_fingers, and SDL_GetTouch().

DECLSPEC SDL_TouchID SDLCALL SDL_GetTouchDevice | ( | int | index | ) |

Get the touch ID with the given index, or 0 if the index is invalid.

Definition at line 48 of file SDL_touch.c.

References SDL_Touch::id, and SDL_num_touch.

DECLSPEC SDL_Finger* SDLCALL SDL_GetTouchFinger | ( | SDL_TouchID | touchID,
|  | int | index
| ) |  |

Get the finger object of the given touch, with the given index.

Definition at line 116 of file SDL_touch.c.

References SDL_Touch::fingers, NULL, SDL_Touch::num_fingers, SDL_GetTouch(), and SDL_SetError().